package com.ruoyi.dezhi.service;

import java.util.List;
import java.util.Map;

import com.alibaba.fastjson.JSONObject;
import com.ruoyi.dezhi.domain.BBusiDezhiVideo;

/**
 * 视频接口Service接口
 * 
 * @author mingxue
 * @date 2021-07-22
 */
public interface IBBusiDezhiVideoService 
{
    /**
     * 查询视频接口
     * 
     * @param id 视频接口ID
     * @return 视频接口
     */
    public BBusiDezhiVideo selectBBusiDezhiVideoById(Long id);

    /**
     * 查询视频接口列表
     * 
     * @param bBusiDezhiVideo 视频接口
     * @return 视频接口集合
     */
    public List<BBusiDezhiVideo> selectBBusiDezhiVideoList(BBusiDezhiVideo bBusiDezhiVideo);

    /**
     * 视频查询
     * @param params
     * @return
     */
    public List<JSONObject> selectVideoList(Map<String, Object> params);
    public List<JSONObject> selectVideoList2(Map<String, Object> params);

    /**
     * 查询视频包所有视频详情
     * @param packId
     * @return
     */
    public List<JSONObject> searchInfoByPackId(String packId);
    /**
     * 新增视频接口
     * 
     * @param bBusiDezhiVideo 视频接口
     * @return 结果
     */
    public int insertBBusiDezhiVideo(BBusiDezhiVideo bBusiDezhiVideo);

    /**
     * 修改视频接口
     * 
     * @param bBusiDezhiVideo 视频接口
     * @return 结果
     */
    public int updateBBusiDezhiVideo(BBusiDezhiVideo bBusiDezhiVideo);

    /**
     * 批量删除视频接口
     * 
     * @param ids 需要删除的视频接口ID
     * @return 结果
     */
    public int deleteBBusiDezhiVideoByIds(Long[] ids);

    /**
     * 删除视频接口信息
     * 
     * @param id 视频接口ID
     * @return 结果
     */
    public int deleteBBusiDezhiVideoById(Long id);

    public BBusiDezhiVideo selectBySection(String sectionId);


}
